let storedVariables = {};

function appendToDisplay(value) {
  document.getElementById('result').value += value;
}

function clearDisplay() {
  document.getElementById('result').value = '';
}

function calculate() {
  try {
    const result = eval(document.getElementById('result').value);
    document.getElementById('result').value = result;
  } catch (error) {
    document.getElementById('result').value = 'Error';
  }
}

function storeCalculation() {
  const varName = document.getElementById('variableName').value;
  const value = document.getElementById('result').value;
  
  if (varName && value) {
    storedVariables[varName] = value;
    updateStoredVariablesDisplay();
    document.getElementById('variableName').value = '';
    clearDisplay();
  }
}

function retrieveCalculation() {
  const varName = document.getElementById('variableName').value;
  if (storedVariables[varName]) {
    document.getElementById('result').value = storedVariables[varName];
  }
}

function updateStoredVariablesDisplay() {
  const display = document.getElementById('storedVariables');
  display.innerHTML = '';
  
  for (const [key, value] of Object.entries(storedVariables)) {
    const item = document.createElement('div');
    item.textContent = `${key}: ${value}`;
    display.appendChild(item);
  }
}